function RES=middleHarm(ARG)
% Нахождение среднего гармонического значения ряда (по строкам)
% Вход  : ARG - ряд или матрица
% Выход : RES - значение или столбик значений, рассчитанных для строк
% Зависимость : нет

[m,n]=size(ARG);

ARG=1./ARG;
for i=1:m
    RES(i,1)=n/sum(ARG(i,:));
end